project-navigation
Personal tools

Author Topic: unable to equip aircraft  (Read 3820 times)

redliner777

  • Guest
unable to equip aircraft
« on: July 24, 2008, 11:35:22 pm »
Hi, I just compiled the game, I can rune the game, start a campaign, and build a base, but when I try to equip my stiletto, clicking the + sign does nothing. I've relaunched and rebooted, and rerun the game. I don'e want to recompile because it took nearly a full day the first time. Any advice would be appreciated.

Offline BTAxis

  • Administrator
  • PHALANX Commander
  • *******
  • Posts: 2607
    • View Profile
Re: unable to equip aircraft
« Reply #1 on: July 24, 2008, 11:47:20 pm »
More info please. Which version? If trunk, which revision?

redliner777

  • Guest
Re: unable to equip aircraft
« Reply #2 on: July 24, 2008, 11:54:00 pm »
I guess it would be 2.3 I followed the instructions for obtaining the most recent svn. I'm not the most experienced linux user around, but I can follow directions off the internet like a champ :)

Offline stevenjackson

  • Rookie
  • ***
  • Posts: 90
    • View Profile
Re: unable to equip aircraft
« Reply #3 on: July 25, 2008, 01:13:08 am »
How long ago did you update from subversion?

Dont be too scared to compile.  The basic make should be quite quick.
The make maps, once you have done the first painful one will be quicker the move often you update and do it.  But make maps usually isn't necessary.

But you really do need to keep your trunk version up to date otherwise you will miss bugfixes.

Steve

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
Re: unable to equip aircraft
« Reply #4 on: July 25, 2008, 08:51:10 am »
you can also use the map-get python script by dino4k to get the latest compiled maps out of a repository he is hosting - so no need to use the time consuming self compilation. you can find it in contrib/scripts

redliner777

  • Guest
Re: unable to equip aircraft
« Reply #5 on: July 25, 2008, 05:01:47 pm »
After poking around on the web some more I found the svn up command to update, I did this then did ./configure, make, make lang, and make maps. When I ran it again I couldn't click on anything. it was like the software was not registering the click event. I used tab to get into options and when I looked at key bindings it was blank. I remembered seeing something about keys.cfg, so Ilocated it in the .ufoai folder and deleted it. After launching the game I am again able to click on menu items, but when launching the game it crashes saying it can't load the pistols. Below is a copy of the terminal output

====== UFO Initialized ======

Switch grab input off
Changing to Singleplayer
Global data loaded - size 5897264 bytes
...techs: 186
...buildings: 22
...ranks: 16
...nations: 8

Changing to Singleplayer
INVSH_GetItemByID: Item "pistol" not found.
Wrote keys.cfg
Error: Com_AddObjectLinks: Could not get item 'pistol' for linking into item 'pistol_ammo'

Offline Mattn

  • Administrator
  • PHALANX Commander
  • *****
  • Posts: 4831
  • https://github.com/mgerhardy/vengi
    • View Profile
    • Vengi Voxel Tools
Re: unable to equip aircraft
« Reply #6 on: July 25, 2008, 05:11:40 pm »
looks like there are files missing in the base/ufos dir - enough free hd space? keys.cfg was empty, that's an indication that the hd is full.

redliner777

  • Guest
Re: unable to equip aircraft SOLVED
« Reply #7 on: July 25, 2008, 05:38:49 pm »
I updated the SVN and recompiled again, and all is well. I have 12.5 gigs free, so I know it's not disk space. Whatever the cause it runs well now. Thanks for the help :)